Skip to main content
GET
/
v2
/
datasets
/
project_contracts
Get the Project contracts dataset
curl --request GET \
  --url https://api.tokenterminal.com/v2/datasets/project_contracts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tokenterminal.com/v2/datasets/project_contracts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tokenterminal.com/v2/datasets/project_contracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "project_id": "<string>",
      "project_name": "<string>",
      "market_sector_id": "<string>",
      "market_sector_name": "<string>",
      "chain_id": "<string>",
      "chain_name": "<string>",
      "account_address": "<string>",
      "account_title": "<string>",
      "account_creation_timestamp": "<string>",
      "gas_used_1d_sum": 123,
      "transaction_count_1d_sum": 123,
      "active_addresses_1d_distinct_count": 123,
      "transaction_gas_1d_avg": 123,
      "gas_market_share_1d_avg": 123,
      "inflows_1d_sum": 123,
      "outflows_1d_sum": 123,
      "net_flows_1d_sum": 123,
      "gas_used_1d_sum_trend": 123,
      "transaction_count_1d_sum_trend": 123,
      "active_addresses_1d_distinct_count_trend": 123,
      "transaction_gas_1d_avg_trend": 123,
      "gas_market_share_1d_avg_trend": 123,
      "inflows_1d_sum_trend": 123,
      "outfows_1d_sum_trend": 123,
      "net_flows_1d_sum_trend": 123,
      "most_emitted_event_1d_name": "<string>",
      "most_emitted_event_1d_signature": "<string>",
      "most_transferred_asset_1d_symbol": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

project_ids
string[]

Allows you to select one or more of the projects available in the dataset. When including multiple projects, separate each one with a comma. Example: aave,uniswap.

chain_ids
string[]

Allows you to select one or more of the chains available in the dataset. When including multiple chains, separate each one with a comma. Example: ethereum,arbitrum.

market_sector_ids
string[]

Allows you to select one or more of the market sectors available in the dataset. When including multiple market sectors, separate each one with a comma. Example: stablecoin,derivatives.

order_by
string<string>

Allows you to select a field by which the response array is sorted.

order_direction
string<string>

Allows you to define order direction for the field selected in order_by. If no order_direction is selected, the response defaults to asc.

limit
number<number>

Limit the number of results returned. Usage through API reference has max limit of 50.

Response

200 - application/json

OK

data
object[]

The Array containing the data for a successful response.